package com.yx.face.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description: 管理人员信息表(Admin)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:44 <br>
 */

@ApiModel("管理人员信息表DTO model")
@Data
public class AdminDTO {

    @ApiModelProperty(value = "管理人员表主键id")
    private Integer adminId;

    @ApiModelProperty(value = "呢称")
    private String name;

    @ApiModelProperty(value = "账号")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "头像路径")
    private String avatar;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    @ApiModelProperty(value = "管理员联系电话")
    private String phone;

    @ApiModelProperty(value = "管理员邮箱")
    private String email;

    @ApiModelProperty(value = "女-0 | 男- 1| 未选中-2")
    private Byte gender;

    @ApiModelProperty(value = "管理员类型 1.管理员 2.省级总账号 3.省级 4.市级 5.区级")
    private Byte type;

    @ApiModelProperty(value = "省份地址编码")
    private Integer provinceId;

    @ApiModelProperty(value = "城市地址编码")
    private Integer cityId;

    @ApiModelProperty(value = "县区地址编码")
    private Integer areaId;

    @ApiModelProperty(value = "街道编码")
    private Integer streetId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "派出所编码")
    private String policeStationCode;

    @ApiModelProperty(value = "派出所名称")
    private String policeStationName;

    @ApiModelProperty(value = "导出权限 1.可以 2.不可以")
    private Integer isOut;

    @ApiModelProperty(value = "所属部门id")
    private Integer tagId;

    @ApiModelProperty(value = "是否脱敏重要信息 1.脱敏 2.不脱敏")
    private Integer isHideImportant;

    @ApiModelProperty(value = "是否开启布控 1.开启  2.不开启 默认2")
    private Integer isControlEarlyWarning;
}

