package com.yx.face.model.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 用户基础信息表(UserInfo)DTO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:51 <br>
 */

@ApiModel("用户基础信息表DTO model")
@Data
public class UserInfoDTO {

    @ApiModelProperty(value = "用户信息id")
    private Long id;

    @ApiModelProperty(value = "头像")
    private String avatar;

    @ApiModelProperty(value = "用户呢称")
    private String nickname;

    @ApiModelProperty(value = "民族")
    private String ethnic;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "用户姓名")
    private String username;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "性别 未选中 -0| 女-1|男-2|")
    private Integer gender;

    @ApiModelProperty(value = "角色id")
    private Integer roleId;

    @ApiModelProperty(value = "角色之外额外的权限0代表没有")
    private Integer authId;

    @ApiModelProperty(value = "adminid")
    private Integer adminId;

    @ApiModelProperty(value = "用户绑定微信的openid")
    private String openId;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}

