package com.yx.face.model.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 管理人员信息表(Admin)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:42 <br>
 */
@Data
@Table(name = "admin")
public class Admin {

    /**
     * 管理人员表主键id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Integer id;

    /**
     * 呢称
     */


    private String nickname;

    /**
     * 管理员名称
     */


    private String username;

    /**
     * 管理员密码
     */


    private String password;

    /**
     * 头像路径
     */


    private String avatar;

    /**
     * 身份证号
     */


    @Column(name = "id_number")
    private String idNumber;

    /**
     * 管理员联系电话
     */


    private String phone;

    /**
     * 管理员邮箱
     */


    private String email;

    /**
     * 女-0 | 男- 1| 未选中-2
     */


    private Byte gender;

    /**
     * 管理员类型 1.管理员 2.省级总账号 3.省级 4.市级 5.区级
     */


    private Byte type;


    /**
     * 数据更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 数据创建时间
     */


    @Column(name = "create_time")
    private Date createTime;
    /*
    * 省份地址编码
    * */
    @Column(name = "province_id")
    private Integer provinceId;
    /*
    * 省份
    * */
    @Column(name = "province_name")
    private String provinceName;
    /*
    * 城市地址编码
    * */
    @Column(name = "city_id")
    private Integer cityId;
    /*
    * 城市
    * */
    @Column(name = "city_name")
    private String cityName;
    /*
    * 县区地址编码
    * */
    @Column(name = "area_id")
    private Integer areaId;
    /*
    * 县区
    * */
    @Column(name = "area_name")
    private String areaName;
    /*
     * 街道编号
     * */
    @Column(name = "street_id")
    private Integer streetId;
    /*
     * 街道 乡 镇名称
     * */
    @Column(name = "street_name")
    private String streetName;
    /*
    * 详细地址
    * */
    private String address;
    /*
     * 派出所编码
     * */
    @Column(name = "police_station_code")
    private String policeStationCode;
    /*
     * 街道 乡 镇名称
     * */
    @Column(name = "police_station_name")
    private String policeStationName;
    /*
    * 标签id
    * */
    @Column(name = "tag_id")
    private Integer tagId;
    /*
     * 导出权限 1.可以 2.不可以
     * */
    @Column(name = "is_out")
    private Integer isOut;
    /*
    * 是否脱敏重要信息 1.脱敏 2.不脱敏
    * */
    @Column(name = "is_hide_important")
    private Integer isHideImportant;

    /*
     * 是否开启布控 1.开启  2.不开启 默认2
     * */
    @Column(name = "is_control_early_warning")
    private Integer isControlEarlyWarning;
}

