package com.yx.face.model.entity;


import lombok.Data;

import javax.persistence.*;

/**
 * @description: 地址编码表(AreaCode)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:45 <br>
 */
@Data
@Table(name = "area_code")
public class AreaCode {
    /**
     * 地址Id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;
    /**
     * 区域名称
     */
    private String name;
    /**
     * 区域Code
     */
    private String code;
    /**
     * 上级区域Code
     */
    @Column(name = "super_code")
    private String superCode;
    /*
    * 0 省级/1  市级/2  区、县/3  乡镇、街道办
    * */
    @Column(name = "type")
    private Integer type;
}

