package com.yx.face.model.entity;

import java.util.Date;

import javax.persistence.*;

import lombok.Data;

/**
 * @description: 人脸设备信息表(FaceDevice)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-08 21:24:00 <br>
 */
@Data
@Table(name = "face_device")
public class FaceDevice {

    /**
     * 设备id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 设备编号
     */


    private String sn;

    /**
     * 名称or标签
     */


    private String name;

    /**
     * 停用-0|启用-1
     */


    private Integer enable;

    /**
     * 离线-0|在线-1
     */


    private Integer online;

    /**
     * 设备联网IP
     */


    @Column(name = "inter_ip")
    private String interIp;

    /**
     * 绑定人员数
     */


    @Column(name = "user_count")
    private Integer userCount;

    /**
     * 通行数量
     */


    @Column(name = "pass_count")
    private Integer passCount;

    /**
     * app版本
     */


    @Column(name = "app_version")
    private String appVersion;

    /**
     * 管理员id
     */


    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 备注
     */


    private String remark;

    /**
     * 未授权-0|已授权-1
     */


    private Integer auth;

    /**
     * 不限-0|进-1|出-2
     */


    private Integer pass;

    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

