package com.yx.face.model.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 人脸下发表(FacePass)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:47 <br>
 */
@Data
@Table(name = "face_pass")
public class FacePass {

    /**
     * 设备人脸下发id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Long id;

    /**
     * 用户id
     */


    @Column(name = "user_id")
    private Long userId;

    /**
     * 设备编号
     */


    @Column(name = "device_sn")
    private String deviceSn;

    /**
     * 设备id
     */


    @Column(name = "device_id")
    private Integer deviceId;

    /**
     * 有效期开始时间
     */


    @Column(name = "start_time")
    private Date startTime;

    /**
     * 有效期结束时间
     */


    @Column(name = "end_time")
    private Date endTime;


    /**
     * 通行证人脸-1|常客-2|访客-3
     */


    private Integer type;

    /**
     * 无效-0|下发中-1|成功-2|失败-3
     */


    private Integer status;

    /**
     * admin id
     */


    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * admin id
     */


    @Column(name = "task_id")
    private String taskId;
    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

