package com.yx.face.model.entity;

import java.util.Date;

import javax.persistence.*;

import lombok.Data;

/**
 * @description: 天波人脸服务请求日志表(FaceRequestLog)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:47 <br>
 */
@Data
@Table(name = "face_request_log")
public class FaceRequestLog {

    /**
     * 请求天波人脸服务id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * 接口名
     */

    @Column(name = "name")
    private String name;

    /**
     * 接口路径
     */

    @Column(name = "context")
    private String context;

    /**
     * 请求参数
     */

    @Column(name = "params")
    private String params;

    /**
     * 请求中-0|成功-1|失败-2
     */

    @Column(name = "status")
    private Integer status;

    /**
     * 耗时
     */
    @Column(name = "used_time")
    private Long usedTime;

    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

