package com.yx.face.model.entity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 人脸清除定时任务(FaceTask)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-10 13:52:10 <br>
 */
@Data
@Table(name = "face_task")
public class FaceTask {

    /**
     * 人脸清除定时任务id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Long id;

    /**
     * 设备id
     */


    @Column(name = "device_sn")
    private String deviceSn;

    /**
     * 用户id
     */


    @Column(name = "user_id")
    private Long userId;

    /**
     * 任务时间
     */


    @Column(name = "task_time")
    private Date taskTime;

    /**
     * 未执行-0|已执行-1
     */


    private Integer status;

    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

