package com.yx.face.model.entity;


import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 系统配置表(SystemConfig)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:08:27 <br>
 */
@Data
@Table(name = "system_config")
public class SystemConfig {


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Integer id;

    /**
     * 扩充字段
     */
    private String expansion1;
    /**
     *
     */
    private String expansion2;
    /**
     *
     */
    private String expansion3;

    /**
     * 账号
     */
    private String account;

    /**
     * 账号id
     */
    @Column(name = "account_id")
    private Integer accountId;

    /**
     * 备注
     */

    private String remark;

    /**
     * 停用-0|启用-1
     */
    private Integer status;


    /**
     * 数据脱敏-type1
     */
    private Integer type;

    /**
     * 密码
     */
    private String password;

    /**
     * 创建者
     */
    @Column(name = "admin_id")
    private Integer adminId;


    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;
    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

}

