package com.yx.face.model.entity;


import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @description: 系统配置表(SystemConfig)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:08:27 <br>
 */
@Data
@Table(name = "system_push_config")
public class SystemPushConfig {


    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 设置名称
     */


    private String name;

    /**
     * 系统设置Key
     */


    @Column(name = "push_url")
    private String pushUrl;

    /**
     * 账号
     */
    private String account;
    /**
     * 账号id account_id
     */
    @Column(name = "account_id")
    private Integer accountId;

    /**
     * adminId
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 备注
     */
    private String remark;
    /**
     * 停用-0|启用-1
     */
    private Integer status;
    /**
     * 推送类型 1设备推送 2访客记录
     */
    private Integer type;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

}

