package com.yx.face.model.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 预警日志
 * </p>
 *
 * @author wxg
 * @since 2022-01-24
 */
@Data
@Table(name = "user_control_early_warning_list_log")
public class UserControlEarlyWarningListLog{
    /**
     * 预警人员日志id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 更新时间
     */
    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time")
    private Date createTime;

    /**
     * 管理员id
     */
    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 预警是否缺认1否2是
     */
    @Column(name = "status")
    private Integer status;

    /**
     * 人脸进出记录
     */
    @Column(name = "face_log_id")
    private Long faceLogId;


    /**
     * 布控人名称
     */
    @Column(name = "control_name")
    private String controlName;

    /**
     * 布控人电话
     */
    @Column(name = "control_phone")
    private String controlPhone;

    /**
     * 布控人单位
     */
    @Column(name = "control_unit")
    private String controlUnit;

}
