package com.yx.face.model.entity;

import java.util.Date;

import javax.persistence.*;

import lombok.Data;

/**
 * @description: 用户人脸记录表(UserFaceRecords)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */
@Data
@Table(name = "user_face_records")
public class UserFaceRecords {

    /**
     * 用户人脸记录id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Long id;

    /**
     * 用户id
     */


    @Column(name = "user_id")
    private Long userId;

    /**
     * 人脸识别的任务id
     */


    @Column(name = "task_id")
    private String taskId;

    /**
     * 用户手机号
     */


    private String phone;

    /**
     * 用户身份证号
     */


    @Column(name = "id_number")
    private String idNumber;

    /**
     * 用户姓名
     */


    private String username;

    /**
     * 认证照片
     */


    private String photo;

    /**
     * Token值
     */


    private String token;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

