package com.yx.face.model.entity;

import java.util.Date;

import javax.persistence.*;

import lombok.Data;

/**
 * @description: 用户基础信息表(UserInfo)实体类 <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:50 <br>
 */
@Data
@Table(name = "user_info")
public class UserInfo {

    /**
     * 用户信息id
     */

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)

    private Long id;

    /**
     * 头像
     */


    private String avatar;

    /**
     * 用户呢称
     */


    private String nickname;

    /**
     * 民族
     */


    private String ethnic;

    /**
     * 密码
     */


    private String password;

    /**
     * 用户姓名
     */


    private String username;

    /**
     * 联系电话
     */


    private String phone;

    /**
     * 身份号码
     */


    @Column(name = "id_number")
    private String idNumber;

    /**
     * 性别 未选中 -0| 女-1|男-2|
     */


    private Integer gender;

    /**
     * 角色id
     */


    @Column(name = "role_id")
    private Integer roleId;

    /**
     * 角色之外额外的权限0代表没有
     */


    @Column(name = "auth_id")
    private Integer authId;

    /**
     * adminid
     */


    @Column(name = "admin_id")
    private Integer adminId;

    /**
     * 用户绑定微信的openid
     */


    @Column(name = "open_id")
    private String openId;

    /**
     * 更新时间
     */


    @Column(name = "update_time")
    private Date updateTime;

    /**
     * 创建时间
     */


    @Column(name = "create_time")
    private Date createTime;

}

