package com.yx.face.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ProjectName: airport-review-smoke
 * @Package: com.yixin.review.model.excel
 * @ClassName: FaceLogVoExcel
 * @Author: 崔哥
 * @Description: 人脸进出记录
 * @Date: 2021/9/3 15:04
 * @Version: 1.0
 */
//@ContentRowHeight(10) // 文本行高度
//@HeadRowHeight(20) // 标题高度
//@ColumnWidth(25)
@ApiModel("人脸进出记录导出Excel")
@Data
public class FaceLogVoExcel {

    @ColumnWidth(18)
    @ExcelProperty(value = "设备编号", index = 0)
    @ApiModelProperty(value = "设备编号")
    private String deviceSn;

    @ColumnWidth(15)
    @ExcelProperty(value = "设备名称", index = 1)
    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ExcelProperty(value = "用户姓名", index = 2)
    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ExcelProperty(value = "现在照片", index = 3)
    @ApiModelProperty(value = "现在照片")
    private String photo;

    @ColumnWidth(15)
    @ExcelProperty(value = "证件号", index = 4)
    @ApiModelProperty(value = "证件号")
    private String cardid;

    @ColumnWidth(15)
    @ExcelProperty(value = "手机号码", index = 5)
    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ExcelProperty(value = "健康码状态", index = 6)
    @ApiModelProperty(value = "健康码状态00 绿码 01 黄码 10 红码")
    private String jkmStatus;

    @ExcelProperty(value = "体温是否异常", index = 7)
    @ApiModelProperty(value = "体温是否异常 0 正常 1 异常")
    private String twStatus;

    @ExcelProperty(value = "体温测量度数", index = 8)
    @ApiModelProperty(value = "体温测量度数")
    private String extend3;

    @ExcelProperty(value = "核酸", index = 9)
    @ApiModelProperty(value = "阴性 阳性")
    private String hsStatus;

    @ExcelProperty(value = "行程信息", index = 10)
    @ApiModelProperty(value = "行程信息")
    private String xcInfo;

    @ExcelProperty(value = "疫苗状态", index = 11)
    @ApiModelProperty(value = "疫苗状态 0针 等等依次累加")
    private String ymStatus;


    @ExcelProperty(value = "进/出", index = 12)
    @ApiModelProperty(value = "0 通用 1进门 2出门")
    private String outType;

    @ExcelProperty(value = "验证类型", index = 13)
    @ApiModelProperty(value = "0人脸1卡2身份证3二维码4远程6IC卡+人脸")
    private String verifyType;

    @ExcelProperty(value = "人员类型", index = 14)
    @ApiModelProperty(value = "106 (管理员)105（操作员）104（普通员工 默认）103（访客）102（禁止） 101(黑名单） ")
    private String rightno;

    @ColumnWidth(25)
    @ExcelProperty(value = "时间", index = 15)
    @ApiModelProperty(value = "时间")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
