package com.yx.face.model.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description:
 * @ClassName UserVisitorListVO
 * @Author cmc
 * @Date 2021/11/5 14:23
 */
@ColumnWidth(22)
@ApiModel("预警信息 model")
@Data
public class UserEarlyWarningLogExcel {

    @ExcelProperty(value = "设备名称", index = 0)
    @ApiModelProperty(value = "设备sn名称")
    private String snName;

    @ExcelProperty(value = "预警人现场照片", index = 1)
    @ApiModelProperty(value = "预警人现场照片")
    private String photo;


    @ExcelProperty(value = "预警人姓名", index = 2)
    @ApiModelProperty(value = "预警人姓名")
    private String name;

    @ExcelProperty(value = "预警人身份证号", index = 3)
    @ApiModelProperty(value = "预警人身份证号")
    private String idNumber;

    @ExcelProperty(value = "布控人姓名", index = 4)
    @ApiModelProperty(value = "布控人姓名")
    private String controlName;

    @ExcelProperty(value = "布控人手机号", index = 5)
    @ApiModelProperty(value = "布控人手机号")
    private String controlPhone;


    @ExcelProperty(value = "布控人单位", index = 6)
    @ApiModelProperty(value = "布控人单位")
    private String controlUnit;


    @ExcelProperty(value = "进出闸机时间", index = 7)
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "进出闸机时间")
    private Date faceTime;


    @ExcelProperty(value = "预警是否确认1否2是", index = 8)
    @ApiModelProperty(value = "预警是否确认1否2是")
    private Integer status;

}
