package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 人脸设备信息表(FaceDevice)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

@ApiModel("人脸设备信息表VO model")
@Data
public class FaceDeviceVO {

    @ApiModelProperty(value = "设备id")
    private Integer deviceId;

    @ApiModelProperty(value = "设备编号")
    private String sn;

    @ApiModelProperty(value = "名称or标签")
    private String name;

    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer enable;

    @ApiModelProperty(value = "离线-0|在线-1")
    private Integer online;

    @ApiModelProperty(value = "设备联网IP")
    private String interIp;

    @ApiModelProperty(value = "绑定人员数")
    private Integer userCount;

    @ApiModelProperty(value = "通行数量")
    private Integer passCount;

    @ApiModelProperty(value = "app版本")
    private String appVersion;

    @ApiModelProperty(value = "管理员id")
    private Integer adminId;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "未授权-0|已授权-1")
    private Integer auth;

    @ApiModelProperty(value = " 不限-0|进-1|出-2")
    private Integer pass;

    @ApiModelProperty(value = "创建时间")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "省份")
    private String provinceName;

    @ApiModelProperty(value = "城市")
    private String cityName;

    @ApiModelProperty(value = "县区")
    private String areaName;

    @ApiModelProperty(value = "账户名称")
    private String username;

    @ApiModelProperty(value = "通道账户名称")
    private String adminIdOfStaffEntrance;

}

