package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import java.util.Date;

/**
 * @description: 天波人脸设备进出记录表(FaceLog)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-04 14:25:46 <br>
 */

@ApiModel("天波人脸设备进出记录表VO model")
@Data
public class FaceLogVO {

    @ApiModelProperty(value = "天波人脸记录id")
    private Long logId;

    @ApiModelProperty(value = "记录唯一序号")
    private Long recordid;

    @ApiModelProperty(value = "0：离线（即开门提示逻辑由设备离线处理事后上报）1：在线（即开门提示逻辑由平台实时控制")
    private Integer action;

    @ApiModelProperty(value = "设备SN")
    private String deviceSn;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户姓名")
    private String name;

    @ApiModelProperty(value = "照片")
    private String photo;

    @ApiModelProperty(value = "10进制（当verifytype=2 时，表示身份证号码）")
    private String cardid;

    @ApiModelProperty(value = "物理卡号（卡号2）")
    private String cardidex;

    @ApiModelProperty(value = "0人脸1卡2身份证3二维码4远程6IC卡+人脸")
    private Integer verifyType;

    @ApiModelProperty(value = "106 (管理员)105（操作员）104（普通员工 默认）103（访客）102（禁止） 101(黑名单） ")
    private Integer rightno;

    @ApiModelProperty(value = "0 通用 1进门 2出门")
    private Integer outType;

    @ApiModelProperty(value = "考勤时间格式 yyyy-MM-dd HH:mm:ss")
    private String faceTime;

    @ApiModelProperty(value = "终端上设置的组织id")
    private String orgid;

    @ApiModelProperty(value = "身份证信息JSON串name 姓名sex 性别 nation民族 born出生年月address地址apartment签发机关period有效期限 no身份证号 country国籍 cn_name中文名 Idcard_version证件版本card_type身份证类型photo身份证照片")
    private String idCard;

    @ApiModelProperty(value = "手机号码")
    private String phone;

    @ApiModelProperty(value = "体温测量度数")
    private String extend3;

    @ApiModelProperty(value = "String类型0：未戴1：已戴2：未启用口罩检测/开启仅检测体温")
    private String extend1;

    @ApiModelProperty(value = "体温是否异常 0 正常 1 异常")
    private String twStatus;

    @ApiModelProperty(value = "健康码状态00 绿码 01 黄码 10 红码")
    private String jkmStatus;

    @ApiModelProperty(value = "阴性 阳性")
    private String hsStatus;

    @ApiModelProperty(value = "核酸时间")
    private String hsTime;
    /**
     * 疫苗状态 0针 等等依次累加
     */
    @ApiModelProperty(value = "疫苗状态 0针 等等依次累加")
    private String ymStatus;

    @ApiModelProperty(value = "接种时间")
    private String ymTime;
    /**
     * 行程信息
     */
    @ApiModelProperty(value = "行程信息")
    private String xcInfo;

    @ApiModelProperty(value = "创建时间")
//    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}

