package com.yx.face.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @description: 系统配置表(SystemConfig)VO <br>
 * @author: PWB <br>
 * @since: 1.0 <br>
 * @date: 2021-06-26 14:03:06 <br>
 */

@ApiModel("系统配置表VO model")
@Data
public class SystemConfigVO {

    @ApiModelProperty(value = "id")
    private Integer id;

//    @ApiModelProperty(value = "密码")
//    private String password;

    @ApiModelProperty(value = "类型 (数据脱敏-type -1, 后面扩充以此类推 )")
    private String type;

    @ApiModelProperty(value = "停用-0|启用-1")
    private Integer status;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "账号名称")
    private String account;

    @ApiModelProperty(value = "账号Id")
    private Integer adminId;


    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}

