package com.yx.face.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.util.Date;

/**
 * @description:
 * @ClassName UserWhitelistVO
 * @Author WXG
 * @Date 2021/11/5 14:23
 */
@ApiModel("常客白名单VO model")
@Data
public class UserWhitelistVO {

    private Long id;

    @ApiModelProperty(value = "照片")
    private String avatar;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "身份证号")
    private String idNumber;

    /**
     * 编号id
     * */
    private Integer snId;

    /**
     * 设备编号
     * */
    private String sn;


    @ApiModelProperty(value = "状态 1已认证 2.未认证")
    private Integer status;

    @ApiModelProperty(value = "角色类型 默认1普通员工 2 管理员")
    private Integer type;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "所属账号")
    private String username;

    @ApiModelProperty(value = "省份")
    private String provinceName;

    @ApiModelProperty(value = "城市")
    private String cityName;

    @ApiModelProperty(value = "县区")
    private String areaName;

    @ApiModelProperty(value = "街道 乡 镇")
    private String streetName;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "派出所名称")
    private String policeStationName;

    private Integer adminId;
}
